using System;

namespace Zad1
{
	class Program
	{
		static void Main(string[] args)
		{
			int a, b, x, y;
			string[] input = Console.ReadLine().Split();
			a = int.Parse(input[0]);
			b = int.Parse(input[1]);
			input = Console.ReadLine().Split();
			x = int.Parse(input[0]);
			y = int.Parse(input[1]);
			if(a == x && b == y)
			{
				Console.WriteLine("nijedan");
			}
			else if(a == x)
			{
				Console.WriteLine("drugi");
			}
			else if(b == y)
			{
				Console.WriteLine("prvi");
			}
			else
			{
				Console.WriteLine("?");
			}
		}
	}
}